workfile chap3 m 1926:7 2020:12 
'---------------------------------------------------
'Import data and transform
'----------------------------------------------------
smpl @first @last
read( c2, s=Data ) "FF_Data_CH3.xls" 30
pagerename untitled monthly
genr r_mkt=(exret_mkt+rf)*0.01
genr r_mkt1=(exret_mkt+rf)
genr r_pr15=pr15*0.01
genr r_pr51=pr51*0.01
genr r_rf=0.01*rf
genr r_mom=0.01*mom
genr r_hml=0.01*hml
genr r_smb=0.01*smb
genr er_15=(r_pr15-0.01*rf)
genr er_51=(r_pr51-0.01*rf)
genr er_mkt=0.01*exret_mkt
genr r_pr15_sa=(1+r_pr15)*(1+r_pr15(-1))*(1+r_pr15(-2))*(1+r_pr15(-3))*(1+r_pr15(-4))*(1+r_pr15(-5)) -1
genr r_pr15_a=(1+r_pr15_sa)*(1+r_pr15_sa(-6))-1
genr r_pr51_sa=(1+r_pr51)*(1+r_pr51(-1))*(1+r_pr51(-2))*(1+r_pr51(-3))*(1+r_pr51(-4))*(1+r_pr51(-5)) -1
genr r_pr51_a=(1+r_pr51_sa)*(1+r_pr51_sa(-6))-1
genr r_rf_sa=(1+r_rf)*(1+r_rf(-1))*(1+r_rf(-2))*(1+r_rf(-3))*(1+r_rf(-4))*(1+r_rf(-5)) -1
genr r_rf_a=(1+r_rf_sa)*(1+r_rf_sa(-6))-1
genr r_mkt_sa=(1+r_mkt)*(1+r_mkt(-1))*(1+r_mkt(-2))*(1+r_mkt(-3))*(1+r_mkt(-4))*(1+r_mkt(-5)) -1
genr r_mkt_a=(1+r_mkt_sa)*(1+r_mkt_sa(-6))-1
genr er_15_a=r_pr15_a-r_rf_a
genr er_51_a=r_pr51_a-r_rf_a
genr er_mkt_a=r_mkt_a-r_rf_a

pagecreate(page = annual) y 1927 2020
copy(c = l) monthly\er_mkt_a annual\er_mkt_a 
copy(c = l) monthly\er_15_a annual\er_15_a
pageselect monthly 

'---------------------------------------------------
'Preliminary data analysis
'----------------------------------------------------
smpl 1962:1 1962:1
genr Port_mkt=1
genr Port_15=1
genr Port_51=1
genr Port_rf=1
genr Port_smb=1
genr Port_hml=1
genr Port_mom=1


smpl 1962:2 2014:6
 Port_mkt=Port_mkt(-1)*(1+R_MKT)
 Port_rf=Port_rf(-1)*(1+R_RF)
 Port_15=Port_15(-1)*(1+R_PR15)
 Port_51=Port_51(-1)*(1+R_PR51)
Port_hml=Port_hml(-1)*(1+R_hml)
Port_smb=Port_smb(-1)*(1+R_smb)
Port_mom=Port_mom(-1)*(1+R_mom)

include "figure1.prg"
include "figure2.prg"
include "figure3.prg"
include "figure4.prg"
group grp_ret r_mkt r_rf r_pr15 r_pr51 r_mom r_smb r_hml 
delete Table1* Table2*
freeze(Table1) grp_ret.stats 
freeze(Table2) grp_ret.cor
group capm1 er_mkt er_15
smpl 1962:1 2014:6
capm1.scat linefit

'---------------------------------------------------
'Interpreting Regression Results 
'----------------------------------------------------
include "section2.prg"

'---------------------------------------------------
'CAPM and Misspecification 
'----------------------------------------------------
include "section3.prg"

'---------------------------------------------------
'Fama-McBeth Regression
'----------------------------------------------------
include "section4.prg"

