pageselect monthly
smpl 1926:7 2014:6
series u1=nrnd
series u2=nrnd
scalar beta=0.8
scalar mean_m= @mean(ER_MKT)
scalar sd_m= @stdev(ER_MKT)
scalar sd_1=0.09
scalar sd_2=0.005

model sim_mod1
sim_mod1.append y1= beta*(ym-mean_m)+sd_1*u1
sim_mod1.append y2= beta*(ym-mean_m)+sd_2*u1
sim_mod1.append ym= mean_m+sd_m*u2
sim_mod1.append assign @all  _bl
sim_mod1.innov y1 i
sim_mod1.innov ym i
sim_mod1.innov y2 i

sim_mod1.solve

equation eq_capm1.ls y1_bl= c(2)*ym_bl
equation eq_capm2.ls y2_bl= c(2)*ym_bl

smpl @all 
genr shock =0
smpl 1956:1 1956:1 
shock=0.20
smpl 1926:7 2014:6
model sim_mod2
sim_mod2.append y1= beta*(ym-mean_m)+sd_1*u1
sim_mod2.append y2= beta*(ym-mean_m)+sd_2*u1
sim_mod2.append ym= mean_m+sd_m*u2+shock
sim_mod2.append assign @all  _al
sim_mod2.innov y1 i
sim_mod2.innov ym i
sim_mod2.innov y2 i
sim_mod2.solve
smpl 1950:1 1960:12
%type="figure51"
delete {%type}*
	graph {%type}.line ym_bl ym_al
	{%type}.axis grid zeroline
	{%type}.option linepat	' need to set linepat
	'{%type}.draw(line,left,rgb(180,180,180)) 0
	{%type}.elem(1) lcolor(red) lpat(solid)  lwidth(1.25) 'symbol(circle) symbolsize(s)
	{%type}.elem(2) lcolor(blue) lpat(solid) lwidth(1.25) ' symbol(circle) symbolsize(s)
	{%type}.name(1)  Baseline 
	{%type}.name(2) Alternative
	{%type}.addtext(t)  "Simulated Market Portfolio excess returns "
     {%type}.draw(line,bottom) 1956:1	

%type="figure52"
delete {%type}*
	graph {%type}.line y1_bl y1_al
	{%type}.axis grid zeroline
	{%type}.option linepat	' need to set linepat
	'{%type}.draw(line,left,rgb(180,180,180)) 0
	{%type}.elem(1) lcolor(red) lpat(solid)  lwidth(1.25) 'symbol(circle) symbolsize(s)
	{%type}.elem(2) lcolor(blue) lpat(solid) lwidth(1.25) ' symbol(circle) symbolsize(s)
	{%type}.name(1)  Baseline 
	{%type}.name(2) Alternative
	{%type}.addtext(t)  "Simulated Portfolio 1 excess returns "
      {%type}.draw(line,bottom) 1956:1

%type="figure53"
delete {%type}*
	graph {%type}.line y2_bl y2_al
	{%type}.axis grid zeroline
	{%type}.option linepat	' need to set linepat
	'{%type}.draw(line,left,rgb(180,180,180)) 0
	{%type}.elem(1) lcolor(red) lpat(solid)  lwidth(1.25) 'symbol(circle) symbolsize(s)
	{%type}.elem(2) lcolor(blue) lpat(solid) lwidth(1.25) ' symbol(circle) symbolsize(s)
	{%type}.name(1)  Baseline 
	{%type}.name(2) Alternative
	{%type}.addtext(t)  "Simulated Portfolio 2 excess returns "
     {%type}.draw(line,bottom) 1956:1

graph figure5.merge figure51 figure52 figure53

